Debian Bug report logs - #653301
RM: libdate-ical-perl -- RoM; deprecated, no rdeps, alternatives exist

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Mon, 26 Dec 2011 16:09:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#653301; Package libdate-ical-perl. (Mon, 26 Dec 2011 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 26 Dec 2011 16:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Proposed-RM: libdate-ical-perl -- RoM; deprecated, no rdeps, alternatives exist
Date: Mon, 26 Dec 2011 17:07:26 +0100
Package: libdate-ical-perl
Version: 2.678-1
Severity: wishlist

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

I suggest to remove libdate-ical-perl from the archive.

Upstream writes (in Changes) that people should be using DateTime
modules nowadays, and he's just fixing occasional bugs.

It has no build or runtime reverse dependencies (apart from a
spurious Suggests in libtest-class-perl in oldstable).

libdatetime-format-ical-perl exists as a nice replacement (I've
switched a script yesterday from Date::ICal to DateTime::Format::ICal
yesterday after stumbling over a design flaw in the former).

I'll reassign this bug to ftp.debian.org if there are no complaints
in the next days.

Cheers,
gregor

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJO+Ju9AAoJELs6aAGGSaoGqqQP/1W9hYfGNX++m4QWRtAKiP+f
ZPWlA+PmFycFs/+1VxVskngUVSseH/XX2ETc17Kr08PF9sqerDGOVQ5dcqfpMJcv
jGxkRN5/ZqezF2vC4S6AzC+5PGt5aQZoiZHt2r2n8OL9BtZMYijpW0wwvhQnfdVf
HbsxlqYXUAkGTE18vJTljOzeoLwmgBOFfH5pUQl0tfdra0otrv4uxBWTcfRcO0Cl
SY7SkcKTCiWOW2y4XLdHL1xoFLyyCskPUun+YG0tIonjptN3EF8pzQjxQhJeCrUz
gGU8JHtgWWM1kw3dWKmGfPL/ReFtnGzJ9w6v1V3H78l+ipepW8x2PYR0xz2DMDpo
hJVtyWbbu6lgGCuBeuCkjsii01pYp9xIwIvx0M+littD0RhOelUg3JULQK5eDP4U
rpqbINRTZUYJa2StyklIgow2FlOFaw31/+cRYkkOkmpFcWTcZ0kr1cRoqnWZUWa5
hV2kjWhJPVDsCsY2JhU489D0YANcbF6rqV7J6+eaqwLkq5C7k2KOrmnr1h0myZzE
uAx+MEq47FJcVhPaQS8yqQUcnW9KKPXDX7wDxzHWm0QGKRzM8JGaWE4/KuC6XK54
PLrtLXqOphc8oOF8Ymg0wgACTu1cjUVMh7WsvJHmchU44qc6CuPHRW4aVu/tsVn1
wlfrmZk5tHwF2+KkTLkM
=QENc
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#653301; Package libdate-ical-perl. (Tue, 27 Dec 2011 18:12:03 GMT) Full text and rfc822 format available.

Message #8 received at 653301@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 653301@bugs.debian.org
Subject: Re: Bug#653301: Proposed-RM: libdate-ical-perl -- RoM; deprecated, no rdeps, alternatives exist
Date: Tue, 27 Dec 2011 19:09:37 +0100
gregor herrmann <gregoa@debian.org> writes:
> I suggest to remove libdate-ical-perl from the archive.
>
> Upstream writes (in Changes) that people should be using DateTime
> modules nowadays, and he's just fixing occasional bugs.
>
> It has no build or runtime reverse dependencies (apart from a
> spurious Suggests in libtest-class-perl in oldstable).

+1 from me.

Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#653301; Package libdate-ical-perl. (Fri, 30 Dec 2011 21:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 30 Dec 2011 21:51:09 GMT) Full text and rfc822 format available.

Message #13 received at 653301@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <control@bugs.debian.org>
Cc: 653301@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#653301: Proposed-RM: libdate-ical-perl -- RoM; deprecated, no rdeps, alternatives exist
Date: Fri, 30 Dec 2011 22:48:13 +0100
[Message part 1 (text/plain, inline)]
reassign 653301 ftp.debian.org
retitle 653301 RM: libdate-ical-perl -- RoM; deprecated, no rdeps, alternatives exist
severity 653301 normal
thanks

On Mon, 26 Dec 2011 17:07:26 +0100, gregor herrmann wrote:

> I suggest to remove libdate-ical-perl from the archive.
> 
> Upstream writes (in Changes) that people should be using DateTime
> modules nowadays, and he's just fixing occasional bugs.
> 
> It has no build or runtime reverse dependencies (apart from a
> spurious Suggests in libtest-class-perl in oldstable).
> 
> libdatetime-format-ical-perl exists as a nice replacement (I've
> switched a script yesterday from Date::ICal to DateTime::Format::ICal
> yesterday after stumbling over a design flaw in the former).
> 
> I'll reassign this bug to ftp.debian.org if there are no complaints
> in the next days.

Ok, doing so now ...


Cheers,
gregor

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Peter Ratzenbeck: Wia des Leb'n spüt
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'libdate-ical-perl' to 'ftp.debian.org'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 30 Dec 2011 21:51:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libdate-ical-perl/2.678-1. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 30 Dec 2011 21:51:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libdate-ical-perl -- RoM; deprecated, no rdeps, alternatives exist' from 'Proposed-RM: libdate-ical-perl -- RoM; deprecated, no rdeps, alternatives exist' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 30 Dec 2011 21:51:12 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 30 Dec 2011 21:51:13 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 01 Jan 2012 16:03:03 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Sun, 01 Jan 2012 16:03:04 GMT) Full text and rfc822 format available.

Message #26 received at 653301-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 653301-close@bugs.debian.org
Cc: libdate-ical-perl@packages.debian.org, libdate-ical-perl@packages.qa.debian.org
Subject: Bug#653301: Removed package(s) from unstable
Date: Sun, 01 Jan 2012 15:58:45 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libdate-ical-perl |    2.678-1 | source, all

------------------- Reason -------------------
RoM; deprecated, no rdeps, alternatives exist
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653301@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/653301

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Jan 2012 07:31:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:41:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.